Permissions on /var/log/trove, and /var/cache/trove directories are incorrect

Bug #1308943 reported by Nikhil Manchanda on 2014-04-17
22
This bug affects 5 people
Affects Status Importance Assigned to Milestone
openstack-trove (Ubuntu)
High
Unassigned
Trusty
High
Unassigned
Utopic
High
Unassigned

Bug Description

When the trove packages are installed, the /var/log/trove, and /var/cache/trove are created.
These directories need to be rwx by the trove user, but this is not the case.

Current permissions:
$ ls -al /var/log/trove
d------r-x 2 trove adm 4096 Apr 16 03:24 .
drwxrwxr-x 13 root syslog 4096 Apr 17 00:15 ..

Expected permissions:
$ ls -al /var/log/trove
drwxr-x--- 2 trove adm 4096 Apr 16 03:24 .
drwxrwxr-x 13 root syslog 4096 Apr 17 00:15 ..

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in openstack-trove (Ubuntu):
status: New → Confirmed
Tom Fifield (fifieldt) wrote :

I confirm this bug on 14.04.

James Page (james-page) on 2014-07-21
Changed in openstack-trove (Ubuntu Utopic):
importance: Undecided → High
Changed in openstack-trove (Ubuntu Trusty):
importance: Undecided → High
status: New → Triaged
Changed in openstack-trove (Ubuntu Utopic):
status: Confirmed → Triaged
James Page (james-page) wrote :

Agree with the /var/log/trove being borked; however the default signing directory for trove should be in /var/lib/trove, not in /var/cache/trove:

# signing_dir is configurable, but the default behavior of the authtoken
# middleware should be sufficient. It will create a temporary directory
# in the home directory for the user the trove process is running as.
#signing_dir = /var/lib/trove/keystone-signing

I see that the documentation changes this to /var/cache/trove. If we are going todo this kind of change I'd like todo it consistently across all of the openstack packages.

James Page (james-page) on 2014-07-23
Changed in openstack-trove (Ubuntu Utopic):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openstack-trove - 2014.2~b1-0ubuntu1

---------------
openstack-trove (2014.2~b1-0ubuntu1) utopic; urgency=medium

  [ Chuck Short ]
  * d/control,trove-conductor.{install,logrotate,upstart}:
    Add conductor package (LP: #1308523).
  * d/trove-common.install: Install the correct configuration files
    (LP: #1308543).
  * Split out the daemons into their binary packages.
  * d/rules: Fail if binaries are missing.

  [ James Page ]
  * New upstream beta for Juno release.
  * d/control: Update Vcs locations for bzr branch.
  * d/control: Version debhelper correctly.
  * d/control: Bump Standards-Version, no changes.
  * d/control: Drop Pre-Depends for xz compression, no longer required.
  * d/trove-common.install: Install trove-fake-mode.
  * d/*.install: Split out configuration files alongside associated daemon
    binaries.
  * d/control,*.install: Use dh-exec to rename configuration files
    during installation.
  * d/*.logrotate: Add copyrotate option inline with Debian.
  * d/*.postinst,postrm.*: Tidy obsolete dbconfig and pkg_os from
    maintainer scripts.
  * d/trove-common.postinst: Tidy, only run db sync if sqlite is configured
    fix permissions on /var/log/trove (LP: #1308943).
  * d/*.init: Re-instate init files from Debian for future systemd migration.
  * d/trove-conductor.upstart: Use correct configuration file for conductor.
  * d/p/patch-default-config-file.patch: Correct paths for sqlite DB, tune
    down default logging level.
 -- James Page <email address hidden> Wed, 23 Jul 2014 11:14:58 +0100

Changed in openstack-trove (Ubuntu Utopic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers